StatusPages
Update a status page
Update a specific status page by id
PUT
/
v1
/
status-pages
/
{id}
Update a status page
curl --request PUT \
--url https://api.rootly.com/v1/status-pages/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"type": "status_pages",
"attributes": {
"title": "<string>",
"public_title": "<string>",
"description": "<string>",
"public_description": "<string>",
"header_color": "<string>",
"footer_color": "<string>",
"allow_search_engine_index": true,
"show_uptime": true,
"success_message": "<string>",
"failure_message": "<string>",
"authentication_method": "none",
"authentication_enabled": false,
"authentication_password": "<string>",
"saml_idp_sso_service_url": "<string>",
"saml_idp_slo_service_url": "<string>",
"saml_idp_cert": "<string>",
"section_order": [],
"external_domain_names": [
"<string>"
],
"website_url": "<string>",
"website_privacy_url": "<string>",
"website_support_url": "<string>",
"ga_tracking_id": "<string>",
"time_zone": "Etc/UTC",
"public": true,
"service_ids": [
"<string>"
],
"functionality_ids": [
"<string>"
],
"enabled": true
}
}
}
'import requests
url = "https://api.rootly.com/v1/status-pages/{id}"
payload = { "data": {
"type": "status_pages",
"attributes": {
"title": "<string>",
"public_title": "<string>",
"description": "<string>",
"public_description": "<string>",
"header_color": "<string>",
"footer_color": "<string>",
"allow_search_engine_index": True,
"show_uptime": True,
"success_message": "<string>",
"failure_message": "<string>",
"authentication_method": "none",
"authentication_enabled": False,
"authentication_password": "<string>",
"saml_idp_sso_service_url": "<string>",
"saml_idp_slo_service_url": "<string>",
"saml_idp_cert": "<string>",
"section_order": [],
"external_domain_names": ["<string>"],
"website_url": "<string>",
"website_privacy_url": "<string>",
"website_support_url": "<string>",
"ga_tracking_id": "<string>",
"time_zone": "Etc/UTC",
"public": True,
"service_ids": ["<string>"],
"functionality_ids": ["<string>"],
"enabled": True
}
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/vnd.api+json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/vnd.api+json'},
body: JSON.stringify({
data: {
type: 'status_pages',
attributes: {
title: '<string>',
public_title: '<string>',
description: '<string>',
public_description: '<string>',
header_color: '<string>',
footer_color: '<string>',
allow_search_engine_index: true,
show_uptime: true,
success_message: '<string>',
failure_message: '<string>',
authentication_method: 'none',
authentication_enabled: false,
authentication_password: '<string>',
saml_idp_sso_service_url: '<string>',
saml_idp_slo_service_url: '<string>',
saml_idp_cert: '<string>',
section_order: [],
external_domain_names: ['<string>'],
website_url: '<string>',
website_privacy_url: '<string>',
website_support_url: '<string>',
ga_tracking_id: '<string>',
time_zone: 'Etc/UTC',
public: true,
service_ids: ['<string>'],
functionality_ids: ['<string>'],
enabled: true
}
}
})
};
fetch('https://api.rootly.com/v1/status-pages/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"type": "status_pages",
"attributes": {
"title": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"slug": "<string>",
"public_title": "<string>",
"description": "<string>",
"public_description": "<string>",
"header_color": "<string>",
"footer_color": "<string>",
"allow_search_engine_index": true,
"show_uptime": true,
"success_message": "<string>",
"failure_message": "<string>",
"authentication_method": "none",
"authentication_enabled": false,
"authentication_password": "<string>",
"saml_idp_sso_service_url": "<string>",
"saml_idp_slo_service_url": "<string>",
"saml_idp_cert": "<string>",
"saml_idp_cert_fingerprint": "<string>",
"section_order": [],
"website_url": "<string>",
"website_privacy_url": "<string>",
"website_support_url": "<string>",
"ga_tracking_id": "<string>",
"time_zone": "Etc/UTC",
"public": true,
"service_ids": [
"<string>"
],
"functionality_ids": [
"<string>"
],
"external_domain_names": [
"<string>"
],
"cname_records": {},
"enabled": true
}
},
"included": [
{
"id": "<string>",
"type": "<string>",
"attributes": {},
"relationships": {}
}
]
}{
"errors": [
{
"title": "<string>",
"status": "<string>",
"code": "<string>",
"detail": "<string>"
}
]
}{
"errors": [
{
"title": "<string>",
"status": "<string>",
"code": "<string>",
"detail": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Resource UUID
Body
application/vnd.api+json
Show child attributes
Show child attributes
Was this page helpful?
⌘I
Update a status page
